<?php
/**
 * @file
 * Token module support for the Node Gallery module.
 */

/**
 * Implements hook_token_list().
 */
function node_gallery_hierarchy_token_list($type = 'all') {
  $tokens = array();
  if ($type == 'node' || $type == 'all') {
    $tokens['node']['parent-node-gallery-hierarchy-path'] = t('The path of the gallery\'s parent Gallery.');
    $tokens['node']['parent-node-gallery-hierarchy-path-raw'] = t('Unfiltered path of the gallery\'s parent Gallery.  WARNING - raw user input.');
    return $tokens;
  }
}

/**
 * Implements hook_token_values().
 */
function node_gallery_hierarchy_token_values($type, $object = NULL, $options = array()) {
    $tokens = array();

    if ($type == 'node'
        && in_array($object->type, (array)node_gallery_get_types('gallery'))) {
        $parent_path = 'galleries';

        if (is_numeric($object->parent) && $object->parent > 0) {
            $parent_path = 'node/'. $object->parent;
            if (module_exists('path')) {
                $parent_path = drupal_get_path_alias($parent_path);
            }
        }
        $tokens['parent-node-gallery-hierarchy-path'] = decode_entities(check_plain($parent_path));
        $tokens['parent-node-gallery-hierarchy-path-raw'] = $parent_path;
        return $tokens;
    }
}
